##--------------------------------------------------------------------------##
##  File:
##	$Id: vars.mk,v 1.1 2007/02/22 21:07:02 ehood Exp $
##  Description:
##	Common makefile variables
##--------------------------------------------------------------------------##
##  Copyright (C) 2007   Earl Hood <earl@earlhood.com>
##
##  This program is free software; you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation; either version 2 of the License, or
##  (at your option) any later version.
##  
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##  
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
##  02111-1307, USA
##--------------------------------------------------------------------------##

INSTALL_PL	= ./install.pl
APPLY_CONFIG	= ./bin/apply-config
COMPRESS_FILES	= ./bin/compress-files
COMPRESS_MBOXES	= ./bin/compress-mboxes
CONFIG_CHECK	= ./bin/config-check
FILTER_SPOOL	= ./bin/filter-spool
LOG_CMD         = ./bin/logcmd
MBOX_MONTH_PACK = ./bin/mbox-month-pack
MHA_CHECK	= ./bin/mhonarc-check
MH_MONTH_PACK   = ./bin/mh-month-pack
MK_PROCMAILRC	= ./bin/mk-procmailrc
READ_MAIL	= ./bin/read-mail
WEB_ARCHIVE	= ./bin/web-archive

PRGS		= \
		  $(INSTALL_PL) \
		  $(LOG_CMD) \
		  $(MH_MONTH_PACK) \
		  $(MBOX_MONTH_PACK) \
		  $(FILTER_SPOOL) \
		  $(APPLY_CONFIG) \
		  $(COMPRESS_FILES) \
		  $(COMPRESS_MBOXES) \
		  $(CONFIG_CHECK) \
		  $(MHA_CHECK) \
		  $(MK_PROCMAILRC) \
		  $(READ_MAIL) \
		  $(WEB_ARCHIVE) \
		  # End PRGS

CONFIG_SH	= ./lib/config.sh
LIST_DEF	= ./lib/lists.def

NO_ARCHIVE	= .noarchive
PROCMAIL_RC	= procmailrc.mharc

CHMOD		= chmod
CP		= cp
FIND		= find
GZIP		= gzip
MKDIR		= mkdir
MV		= mv
PERL		= perl
RM		= rm
TAR		= tar
TOUCH		= touch

